org.apache.felix.utils.json

## Class JSONParser

- java.lang.Object
- - org.apache.felix.utils.json.JSONParser

    public class JSONParser
    extends Object

A very small JSON parser. The JSON input is parsed into an object structure in the following way:

- Object names are represented as a `String`.
- String values are represented as a `String`.
- Numeric values without a decimal separator are represented as a `Long`.
- Numeric values with a decimal separator are represented as a `Double`.
- Boolean values are represented as a `Boolean`.
- Nested JSON objects are parsed into a `Map<String, Object>`.
- JSON lists are parsed into a `List` which may contain any of the above values.

### Constructor Summary

Constructors
Constructor and Description
`JSONParser(CharSequence json)`
`JSONParser(InputStream is)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getParsed()`
`List<Object>` `getParsedList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONParser

    public JSONParser(CharSequence json)

#### JSONParser

    public JSONParser(InputStream is)
               throws IOException

Throws:
  `IOException`

### Method Detail

#### getParsed

    public Map<String,Object> getParsed()

#### getParsedList

    public List<Object> getParsedList()